<ion-header no-border class="bg-image no-scroll">
</ion-header>

<ion-content fullscreen="true">
  <ion-grid color="primary">
    <ion-row>
      <ion-col>
        <form class="form" [formGroup]="formulario" (ngSubmit)="cadastrar(formulario.value)" >
          <div *ngIf="user == null">
            <br>
            <ion-img class="login-logo" src="./assets/img/logo.png"></ion-img>
            <ion-item lines="none">
              <ion-label position="floating">
                <ion-icon name='person'>
                </ion-icon> Usuário
              </ion-label>
              <ion-input color="primary-contrast" type="text" formControlName="email"></ion-input>
            </ion-item>
            <div>
              <ng-container *ngFor="let validation of validation_messages.email">
                <div class="error-message"
                  *ngIf="formulario.get('email').hasError(validation.type) && (formulario.get('email').dirty || formulario.get('email').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
            </div>
            <ion-item lines="none">
              <ion-label position="floating">
                <ion-icon name='lock'>
                </ion-icon> Senha
              </ion-label>
              <ion-input type="password" formControlName="password"></ion-input>
            </ion-item>
            <div>
              <ng-container *ngFor="let validation of validation_messages.password">
                <div class="error-message"
                  *ngIf="formulario.get('password').hasError(validation.type) && (formulario.get('password').dirty || formulario.get('password').touched)">
                  {{ validation.message }}
                </div>
              </ng-container>
            </div>
            <ion-button size="default" expand="block" class="submit-btn" type="submit" color="primary">Cadastrar</ion-button>
          </div>
        </form>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>